#!/bin/sh
# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if test "${ROOTDIR}" != "/"; then
  CHROOT="chroot ${ROOTDIR} "
  ROOTDIR="${ROOTDIR}/"
fi
# Install the info files for this package
if [ -x usr/bin/install-info ] ; then
  ${CHROOT} /usr/bin/install-info --info-dir=/usr/info usr/info/libffi.info.gz 2>/dev/null
fi

( cd usr/lib ; rm -rf libffi.so )
( cd usr/lib ; ln -sf libffi.so.5.0.10 libffi.so )
( cd usr/lib ; rm -rf libffi.so.5 )
( cd usr/lib ; ln -sf libffi.so.5.0.10 libffi.so.5 )
( cd usr/lib ; rm -rf libffi.so.4 )
( cd usr/lib ; ln -sf libffi.so.5.0.10 libffi.so.4 )
